import { Plugin, Runner } from '@morjs/utils';
/**
 * 实现 transform 模式下 define 支持
 * define 配置参见：http://mor.eleme.io/guides/basic/config#define---%E5%8F%98%E9%87%8F%E6%9B%BF%E6%8D%A2
 *
 * 注意：define 配置仅对 EntryFileType.script 文件类型生效。
 *
 */
export declare class DefineSupportPlugin implements Plugin {
    name: string;
    apply(runner: Runner<any>): void;
}
